std::alignment_of< _Tp >(3)

NAME
std::alignment_of< _Tp > - alignment_of

SYNOPSIS

Inherits std::integral_constant< std::size_t, alignof(_Tp)>.

  Public Types
typedef integral_constant< std::size_t, __v > type
typedef std::size_t value_type

  Public Member Functions
constexpr operator value_type () const noexcept
constexpr value_type operator() () const noexcept

  Static Public Attributes
static constexpr std::size_t value

Detailed Description

  template<typename _Tp>
struct std::alignment_of< _Tp >" alignment_of

Definition at line 1350 of file type_traits.

Author

Generated automatically by Doxygen for libstdc++ from the source code.